godo.ActionGateway.Toolbelts.Delete()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.ActionGateway.Toolbelts.Delete(ctx context.Context, name string) (*godo.ActionGatewayToolbeltResponse, *godo.Response, error)

Description

Delete deletes a toolbelt.

This method sends a DELETE request to /v2/action-gateway/toolbelts/{}.

Parameters

name string required

Returns

*godo.ActionGatewayToolbeltResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ActionGatewayToolbeltResponse

ActionGatewayToolbeltResponse contains the resulting toolbelt.

Toolbelt *godo.ActionGatewayToolbelt

JSON key: toolbelt

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.ActionGateway.Toolbelts.Delete(ctx, "<your-name>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "toolbelt": {
    "name": "search-toolbelt",
    "version": "1",
    "display_name": "Search Tools",
    "description": "Tools for searching and fetching public web pages.",
    "tools": [
      "exa_web_fetch@1",
      "exa_web_search@1"
    ],
    "status": "deprecated",
    "reference": "search-toolbelt@1",
    "reference_latest": "search-toolbelt",
    "tool_count": 2,
    "created_at": "2026-06-11T12:00:00Z",
    "updated_at": "2026-06-15T10:00:00Z"
  }
}

More Information

See DELETE /v2/action-gateway/toolbelts/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.